GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
GpgFrontend::SingletonStorageCollection Class Reference
Collaboration diagram for GpgFrontend::SingletonStorageCollection:

## Public Member Functions
SingletonStorage * | GetSingletonStorage (const std::type_info &)
| Get the Singleton Storage object. More...

## Static Public Member Functions
static SingletonStorageCollection * | GetInstance (bool force_refresh)
| Get the Instance object. More...

## Private Attributes
std::shared_mutex | storages_mutex_
| mutex for storages_map_
std::map< size_t, std::unique_ptr< SingletonStorage > > | storages_map_

## Member Function Documentation

## ◆ GetInstance()

GpgFrontend::SingletonStorageCollection * GpgFrontend::SingletonStorageCollection::GetInstance | ( | bool | force_refresh = `false` | ) |
| static

Get the Instance object.

Returns
  SingletonStorageCollection*

Referenced by GpgFrontend::SingletonFunctionObject< T >::CreateInstance(), GpgFrontend::SingletonFunctionObject< T >::GetAllChannelId(), GpgFrontend::SingletonFunctionObject< T >::GetInstance(), and GpgFrontend::SingletonFunctionObject< T >::ReleaseChannel().

## ◆ GetSingletonStorage()

GpgFrontend::SingletonStorage * GpgFrontend::SingletonStorageCollection::GetSingletonStorage | ( | const std::type_info & | type_id | ) |

Get the Singleton Storage object.

Parameters

  singleton_function_object |

Returns
  SingletonStorage*

Referenced by GpgFrontend::SingletonFunctionObject< T >::CreateInstance(), GpgFrontend::SingletonFunctionObject< T >::GetAllChannelId(), GpgFrontend::SingletonFunctionObject< T >::GetInstance(), and GpgFrontend::SingletonFunctionObject< T >::ReleaseChannel().

The documentation for this class was generated from the following files:

- src/core/GpgFunctionObject.h
- src/core/GpgFunctionObject.cpp